# Auto Roll Plugin

This unofficial TaleSpire mod allows the GM to trigger a screen shake on all devices. 
The duration and intensity can be configured on each device to suit the user.

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install.

## Usage

The DM can trigger the screen shake by pressing the plugin trigger keys (default LCTRL+K).
Players who try to initiate this funtionality will be informed that only GM can initiate
this functionality.
	  
## Configuration

The plugin comes with some configurable options.

``Shake Camera`` = Defines the keys used to trigger the screen shake.
``Shake Frames Duration`` = The duration, in frames, that the shake lasts.
``Shake Max Distance`` = Max distance from the original position that the camera can move.
``Shake Indifference`` = How many frames to skip between a shake update.

The last two parameters together generate the shake intensity. A value of 0 for the shake
indifference value means a shake update every frame. Values greater than 0 skip that many
frames before updating the shake. The shake maximum distance determines how much the camera
can move with each shake. With each shake, all three axis (x, y and z) are move a random
amount between -1 x shake maximum distance and shake maximum distance. This means that in
reality the distance between the original position and the shake position can be more than
shake maximum distance since this value can be applied on all 3 axis.